GNU bug report logs - #33681
GNUmakefile mode thinks : in shell commands starts targets

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #17400, #33900, #35299, #36245, #37934, #45037, #46052, #46221, #48052; dated Sun, 9 Dec 2018 03:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17400 33681 33900 35299 36245 37934 45037 46052 46221 48052. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037 46052 46221. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681 33900 35299 36245 45037 46052. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681 33900 35299 36245. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.1. Request was from Bhavin Gandhi <bhavin7392@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Bhavin Gandhi <bhavin7392@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Dec 2018 03:11:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 22:11:47 2018
Received: from localhost ([127.0.0.1]:39105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVpVS-0005h8-Rx
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 22:11:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1gVpVQ-0005gt-VV
 for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 22:11:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1gVpVL-0007ta-4B
 for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 22:11:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=1.0 required=5.0 tests=BAYES_40,FROM_EXCESS_BASE64
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35397)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1gVpVK-0007tF-Eb
 for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 22:11:38 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45756)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1gVpVJ-0008Pm-Hr
 for bug-gnu-emacs@HIDDEN; Sat, 08 Dec 2018 22:11:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1gVpVF-0007rO-JU
 for bug-gnu-emacs@HIDDEN; Sat, 08 Dec 2018 22:11:37 -0500
Received: from purple.birch.relay.mailchannels.net ([23.83.209.150]:13371)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1gVpVF-0007qh-76
 for bug-gnu-emacs@HIDDEN; Sat, 08 Dec 2018 22:11:33 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 8F5621241E7
 for <bug-gnu-emacs@HIDDEN>; Sun,  9 Dec 2018 03:11:31 +0000 (UTC)
Received: from pdx1-sub0-mail-a58.g.dreamhost.com (unknown [100.96.36.160])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3F84A123C99
 for <bug-gnu-emacs@HIDDEN>; Sun,  9 Dec 2018 03:11:31 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a58.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.2); Sun, 09 Dec 2018 03:11:31 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Whimsical-Celery: 1c4543c83b6f5f1b_1544325091397_2621439609
X-MC-Loop-Signature: 1544325091397:1888880296
X-MC-Ingress-Time: 1544325091397
Received: from pdx1-sub0-mail-a58.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a58.g.dreamhost.com (Postfix) with ESMTP id D1E8F80402
 for <bug-gnu-emacs@HIDDEN>; Sat,  8 Dec 2018 19:11:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=jidanni.org; bh=sRsU/wVwG9XHb2QUbZ
 7I5t9dUG4=; b=PZbQLoSki5x/XVfvd8Gv3HlyrFqTOtqM0oCI+ULXe0Pdovyv7B
 KBauupM+olM1uzgCLN7enXbewOT7TZ3hlIK8uB29C7US9dYIY2J2xXrh5UtmbWRw
 V7yOcavFu3LFZudhIlwdh4JRIBnpjGWGAv8jF/Qe/8wVehxXobbXVwnAQ=
Received: from jidanni.org (1-170-86-214.dynamic-ip.hinet.net [1.170.86.214])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a58.g.dreamhost.com (Postfix) with ESMTPSA id 6E1138047F
 for <bug-gnu-emacs@HIDDEN>; Sat,  8 Dec 2018 19:11:30 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a58
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: GNUmakefile mode thinks : in shell commands starts targets
Date: Sun, 09 Dec 2018 11:11:27 +0800
Message-ID: <87a7lfz95s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtkedrudegvddgvddtucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkgggtgfesthekredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecukfhppedurddujedtrdekiedrvddugeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepjhhiuggrnhhnihdrohhrghdpihhnvghtpedurddujedtrdekiedrvddugedprhgvthhurhhnqdhprghthheppeeruhhtfhdqkeerueerheeimhfphefnihehhegsveekreepucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqedpmhgrihhlfhhrohhmpehjihgurghnnhhisehjihgurghnnhhirdhorhhgpdhnrhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Can you believe "echo a ||" is shown in face (makefile-targets)

$ cat Makefile
x:
	echo a || :
        echo b

in GNUmakefile mode defined in =E2=80=98make-mode.el=E2=80=99.
emacs-version "25.2.2"




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33681; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Apr 2021 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.